<!-- Template for the index route -->
{% extends 'base.html' %}
<div class="row">
    {% block content %}
    <div class="row">
        <nav class="navbar navbar-expand-lg bg-body-tertiary">
            <div class="container-fluid">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    <li class="nav-item">
                        <a class="nav-link" href="/families?tagged=false">untagged</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="/families?tagged=true">tagged</a>
                    </li>
                </ul>
            </div>
        </nav>
    </div>
    <table class="table">
        {% set totals = {'weight': 0.0, 'bw': 0, 'adv_bw': 0} %}
        {% for router in routers %}
        {% if not router.is_bridge %}
        {% set _ = totals.update({'weight': totals['weight'] + (router.network_weight_fraction | float)}) %}
        {% set _ = totals.update({'bw': totals['bw'] + (router.bandwidth | int)}) %}
        {% endif %}
        {% set _ = totals.update({'adv_bw': totals['adv_bw'] + (router.advertised_bandwidth | int)}) %}
        {% endfor %}
        <thead>
            <tr>
                <th scope="col">Published</th>
                <th scope="col">Family Digest</th>
                <th scope="col">No. of Relays</th>
                <th scope="col">Advertised bandwidth ({{ totals['adv_bw'] }})</th>
                <th scope="col">Bandwidth ({{ totals['bw'] }})</th>
                <th scope="col">Network weight ({{ totals['weight'] }})</th>
            </tr>
        </thead>
        <tbody>
            {% for router in routers %}
            <tr>
                <td>{{ router.published }}</td>
                <td>
                    <a href="{{ url_for('routers.routers', family_digest=router.family_digest) }}">
                        {{ router.family_digest }}
                    </a>
                </td>
                <td>{{ router.fingerprints }}</td>
                <td>{{ router.advertised_bandwidth }}</td>
                <td>{{ router.bandwidth }}</td>
                <td>{{ router.network_weight_fraction}}</td>
            </tr>
            {% endfor %}

        </tbody>
    </table>
    {% if routers|length > 1 %}
    {% include "_pagination.html" %}
    {% endif %}
    {% endblock %}
</div>